Page MenuHomePhabricator

Allow generic hovercards to appear in special cases
Closed, ResolvedPublic

Description

Story

As a as user, I want the ability to know when a preview is not available for the page I am viewing

Description

Build generic hovercard

Acceptance Criteria

Generic hovercards - these will be used when we cannot display hovercards for certain pages. They will contain the following:

  • Icon: Sad face icon
  • Text: Looks like there isn’t a page preview for this topic
  • Link: Read article
  • Selecting “Read acticle” will navigate users to the article
  • Generic hovercards will not contain a settings cog
  • All other functionality will be as in other previews
  • Note: the mockup displays a “write page preview” link. This link will NOT be available
  • Generic hovercards will appear in the following cases:
  • Articles with no lead paragraph
  • Other edge cases

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2016, 1:11 PM
ovasileva triaged this task as High priority.Nov 18 2016, 1:11 PM
ovasileva added a project: Readers-Web-Backlog.

I assume this is about Page-Previews code hence adding project

@Nirzar - I was speaking to Sam about potentially having a link that allows users to report bugs - could navigate to a task in phabricator. Could be a good idea (potentially for a future iteration/improvement). Or we could do it for now and only display for logged-in users. It would ultimately be another task. Thoughts?

potentially having a link that allows users to report bugs - could navigate to a task in phabricator.

I think MultimediaViewer has that when displaying an image fails. Might make sense to check that code.

ovasileva updated the task description. (Show Details)Nov 18 2016, 1:17 PM

@ovasileva but is it a bug? i thought it was just lack of content

@Nirzar - sort of yes and no. The use case would be something like:

  1. You go to an article that has no paragraph
  2. You get the generic modal that says "we don't have a preview for this"
  3. You file a bug saying "this article has no preview" for whatever reason
  4. We look at it

The real problem is that in order for us to set the generic popup in the first place, we know that the edge cases exists, we just don't have a solution for it yet. So I guess it makes more sense to just drop this idea or think of an alternate workflow that could actually help us.

Is this task stalled till post rewrite?

It will be a part of rewrite if we can get to it during this sprint. The remainder of hovercards, as of requirements, are at the top of triaged but future for @phuedx and/or @jhobs to pull from during the sprint once the big card is resolved (or as a part of it)

@Nirzar: Could you upload the mock to Zeplin (or upload the icon to Phabricator).

Change 324163 had a related patch set uploaded (by Phuedx):
previews: Tidy styles

https://gerrit.wikimedia.org/r/324163

Change 324164 had a related patch set uploaded (by Phuedx):
WIP: previews: Add generic fallback preview

https://gerrit.wikimedia.org/r/324164

@Nirzar: A couple of trivial nitpicks about the wording: are "topic" and "article" appropriate in all circumstances?

I think topic is okay, but maybe we can change "article" to "page"? although read page sounds strange as well...

Change 324163 merged by jenkins-bot:
previews: Tidy up styles

https://gerrit.wikimedia.org/r/324163

@ovasileva, @Nirzar: If you preview the Empty or Redirects to a page that doesn't exist pages here, then you'll see the generic preview.

phuedx closed this task as Resolved.Dec 2 2016, 7:59 AM
phuedx claimed this task.

Change 324164 merged by jenkins-bot:
previews: Add generic fallback preview

https://gerrit.wikimedia.org/r/324164

ovasileva changed the task status from Duplicate to Resolved.Dec 5 2016, 4:05 PM

sorry - meant to merge {t138607} into this